Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

1
vote
0answers
343 views

GDB import error “ImportError: No module named _weakref ”

I am getting below error when I try to run gdb. from the command line. If type gdb , I get the following error. root@ubuntu:~# gdb Traceback (most recent call last): File ...
1
vote
0answers
165 views

Modifying openstack-dashboard package's source code in Ubuntu when installed using apt-get

I have installed HORIZON openstack-dashboard using "apt-get install openstack-dashboard". I want to apply a patch to that code. I tried to search for the directory where this package's source-code is ...
1
vote
0answers
90 views

Dotdeb alternatives for Ruby or Python?

I really like Dotdeb, but it doesn't include packages for Ruby and Python. While I could build my own repository, I wouldn't want to reinvent the wheel (and then be forced to drive). Are there any ...
1
vote
0answers
51 views

quickly dependecies problem

I use quickly to develop an app. The thing is I wanted to use a library called BeautifulSoup which is found in Universe repository, under python-bs4 library. So I did a quickly configure ...
1
vote
0answers
44 views

What's “Unity.LayoutHint” intended for?

I currently write my own lense in python (Ubuntu 13.4) using singlet. In the api documentation, there is a Unity.LayoutHint (View), which is used by Unity.PreviewAction (View). I don't see any change ...
1
vote
0answers
59 views

Change icon with Launcher API

With Launcher API provided by libunity I can add a counter or a progress-bar to my application icon. But I would also like to change the icon it self or the name of the application. Is this possible? ...
1
vote
0answers
29 views

Batch Launchpadlib api queries together

I want to get information about all the ubuntu bugs filed till date. So I used the launchpadlib api to get all of them using the id. I start a loop at id 1 and continue. But this is a very slow ...
1
vote
0answers
120 views

Turn screen off when no motion in front of webcamera

Is it possible to automatic turn screen off when there is no motion detected in front of webcamera for X minutes ? Can i use sudo service motion start and xset dpms force on/off somehow ...
1
vote
0answers
220 views

gcalcli throwing ssl errors in 13.04

I'm using Ubuntu 13.04. I was using gcalcli (from source) previously on Ubuntu 12.04 and it was working fine. But on 13.04, it fails to authenticate google with an ssl error. It opens a new bowser ...
1
vote
0answers
233 views

Store cookies with WebKit (python)

So I was watching the "Create Your First Ubuntu App"-Video from Jono Bacon and got the idea, to create a simple app. That creates a window with a WebView und opens the URL to Google Keep. Everything ...
1
vote
0answers
199 views

How to create an Ubuntu app using python and Qt4 designer

I recently started developing Ubuntu desktop apps using Quickly. But then I tried out the Qt4 designer and I feel more comfortable with it than Glade designer that Quickly uses. I liked developing ...
1
vote
0answers
218 views

Installing gphoto2 to use the python binding not working

I want to use the Python bindings that are available for gphoto2 and this requires a build from their tarballs. My first step is simply to build gphoto2 such that it recognizes my camera and thus far ...
1
vote
0answers
161 views

I have a problem installing activestate python instead of the default. How can I fix it? Syntax error: “)” unexpected

I am getting this error when trying to run the ./install.sh for ActivePython. How can I correct this? cd /tmp wget ...
1
vote
0answers
156 views

IPython qtconsole not launching, Ubuntu 12.04

When I try launch Ipython qtconsole from terminal, I get the following error: python: /build/buildd/sip4-4.13.2/siplib/siplib.c:7915: sip_api_can_convert_to_type: Assertion `(((td)->td_flags & ...
1
vote
0answers
62 views

How safe is running Wubi's main.pyo using pyrun?

Wubi fails to run for me (see this unresolved question) I have found out that I get the first wubi installation screen if I run pyrun main.pyo from the %TEMP%\pyl**.tmp directory. If I proceed in ...
1
vote
0answers
127 views

Permission Denied, Trying to Install rbenv

I'm trying to set up my VPS for the first time to deploy my rails app. I was trying to install rbenv, and encountered the following error. deployer@max:~$ rbenv bootstrap-ubuntu-12-04 bash: ...
1
vote
0answers
224 views

missing 'ldconfig' and 'start-stop-daemon'

when I tried to install numpy and pandas, I got this problem. Can you help me? Thank you! dpkg: warning: 'ldconfig' not found in PATH or not executable. dpkg: warning: 'start-stop-daemon' not found ...
1
vote
0answers
101 views

OpenQwaq Forum Error

I'm trying to get OpenQwaq 1.0.01 to work, currently running Ubuntu 12.04. When I start it up in the terminal I get this string first off: ...
1
vote
0answers
218 views

Keybindings for individual letter keys (not modifier-combinations) on a GtkTextView widget (Gtk3 and PyGI)

I've been able to set several keybord shortcuts for a GtkTextView and a GtkTextEntry using the new css provider system. I'm finding, though, that I only seem to be able to establish keybindings for ...
0
votes
0answers
15 views

gdb uses python3.3

Currently in Ubuntu 14.04 it seems that gdb uses Python 3. I'd like to downgrade to using the gdb version that uses Python2. Is there any way I could go about doing that easily?
0
votes
0answers
25 views

Install Scipy at virtualenv

I asked a question a few days back, on how to run an older version of matplotlib and I got an amazing answer back. What I had to do was to execute these commands: mkdir matplotlib_1.1.1 cd ...
0
votes
0answers
23 views

Install pygame in anaconda

I have anaconda on Ubuntu 14.04. I want to install the pygame module with anaconda. I already run sudo apt-get install python-pygame, but this only works on python, not in anaconda.
0
votes
0answers
101 views

IDLE and PyCharm using Python 3.4.0 when 3.4.1 installed?

I recently visited Python site, and I noticed that a new version, 3.4.1 had come. My install of Ubuntu 14.04 had 3.4.0. So I downloaded Python and installed it. When I opened IDLE, it showed 3.4.0. ...
0
votes
0answers
26 views

Untrusted Package Errors when installing Okular and ACE Stream

Whenever I try to install a new application, I get 'Untrusted Package Errors'. For example, at the moment I'm trying to install 'Okular', but I keep getting an Untrusted Package Error upon ...
0
votes
0answers
16 views

multiple connection pycurl ppp0 and ppp1

I have already looked at this question Dialing into multiple PPP connections and it's working well but multiple connections are not available if I'm adding table ppp0, the other ppp1 cant connect ...
0
votes
0answers
63 views

I need someone to go through my conky scripts and correct my mistakes

I modified some conky scripts that I downloaded online. I cant quite figure out how to make the rss feed run. I tried two methods to get the rss feed - the rss command in conky (used in dinamalar ...
0
votes
0answers
19 views

Trying to use Pandas in Python - Error: wrong ELF class: ELFCLASS32

I have installed the latest version of Pandas by using the following: sudo apt-get install python-pandas but I keep getting the following error message when i try to import into Python: ...
0
votes
0answers
61 views

unable to install a package using pip

I'm triying to install a package using pip inside a virtualenv: pip install fuse-python but the output is Downloading/unpacking fuse-python Downloading fuse-python-0.2.tar.gz (53kB): 53kB ...
0
votes
0answers
10 views

Qiime softwares not recognized by PHP. How to configure extentions for it?

I have a script in bash that calls some python functions installed from Qiime packge. I put a echo "end of bash script" only for control. If I call this bash script from terminal it works good. But ...
0
votes
0answers
25 views

Run Twisted server on startup

I am pretty new to Ubuntu and tried to install portia according to this howto: https://github.com/scrapinghub/portia#running-portia Everything worked fine after I run the command twistd -n slyd. I ...
0
votes
0answers
26 views

configure python and cvblob

Hi I'm trying to configure cvblob in order to use it with python ,using the explanition h here but when i came to test it i got this error: ...
0
votes
0answers
6 views

Error while trying to run Pycocuma Contact Management program

I need help understanding this message! mainctrl = MainController() File "/usr/lib/python2.7/dist-packages/pycocumalib/MainController.py", line 79, in __init__ self.view = view = ...
0
votes
0answers
32 views

Bash if password filled save it

I am trying to save a password to gnome keyring via python script. The python script will be runned from bash script if password is filled in zenity GUI. Example: User inserts hes/hers password to ...
0
votes
0answers
26 views

xdot python script for viewing graphs generated by graphviz is not working on ubuntu 14.04

After upgrading my system to ubuntu 14.04 i am not able to open graphs generated by graphviz using xdot. Prior to that i was using ubuntu 12.04 and there was no problem of such sort observed. below is ...
0
votes
0answers
12 views

How to install pythoncard?(any alternate method)

How to install pythoncard?I have tried browsing the software center for it and I installed it,but when I run a pythoncard-based program,it shows me that there is no module named pythoncard.Can I ...
0
votes
0answers
18 views

Django chmod using wrong user:group

I have installed django and some other services to start up one front-end community forum. However i've managed to do it everythings run but i have problem with CHMOD permissions. My nginx server ...
0
votes
0answers
170 views

After starting upgrade to Ubuntu 14.04 and reverting to 13.10, eclipse pydev debugger stopped working

I started the upgrade to UBuntu 14.04, but it failed and the system reverted back to old settings. I have been convinced to stay with 13.10 for now. However, when running python code in eclipse with ...
0
votes
0answers
67 views

/usr/bin/ld: error: cannot find -lpython2.7

While installing pyscard.py I get this error, gcc -pthread -shared -Wl,-rpath,$ORIGIN/../lib -g -L/home/builder/jenkins/workspace/Python_Masters/ARCH/x86_64/label/Linux/core/lib ...
0
votes
0answers
85 views

system-config-samba and galternatives won't work on Trusty with similar errors

Fresh installed Trusty, then I installed two programs I always use, galternatives and system-config-samba. They both fail with similar output: system-config-samba output: gksu system-config-samba ...
0
votes
0answers
39 views

ninja ide programming python 2.x and 3.x

is it possible to program python 2.x and 3.x with Ninja IDE? if so, where do I specify which version I'm currently using? thanks peeps edit: actually, it seems that in the same file, ninja ide ...
0
votes
0answers
28 views

Multiple button clicked signals emitted for a single click

Writing a cut/copy/paste feature for a simple filebrowser in gtk. Every cut/copy button/paste click emits a progressively higher number of signals . Here is the part of the program that deals with ...
0
votes
0answers
106 views

Issues with python-pip and speedtest-cli

dpkg: error processing python-pkg-resources (--configure): subprocess installed post-installation script returned error exit status 137 dpkg: dependency problems prevent configuration of ...
0
votes
0answers
44 views

install 64 bit mysql

I had installed mysql by using below command. sudo apt-get install mysql-server But this a 32-bit mysql installation. i want to install 64-bit mysql. Please advice me how to delete 32bit mysql and ...
0
votes
0answers
29 views

MySQLdb on Brython?

Hi there I'm working on a server-based point of sale for a sports club, and downloaded Mysqldb lib so that I can access and modify it through python scripts, they work great!, so I decided to use ...
0
votes
0answers
68 views

tesseract OCR Engine reorganization problem

i'm trying to use 'tesseract' on JPG image's. its seems that it doesnt recognize the number's and character's in the command-line currently. but when i use OCRFeeder manually and select the bounds ...
0
votes
0answers
167 views

OpenERP server problem message when installing an app

I recently installed open erp v7 on ubuntu 13.10, I could install the warehouse app fine, as well as the sales app , but I'm having trouble installing a few other apps. It looks like it is either a ...
0
votes
0answers
16 views

itunes2rhythm python3 script errors

while trying to run this script https://github.com/guillier/itunes2rhythm in python3 i am getting multiple errors about localhost blah blah. I think what is happening is that the library file is ...
0
votes
0answers
29 views

Create tab using Gtk+3 and Python and load file into it

I want to create an Ubuntu app using Gtk+3 and Python. In the app I want to be able to get the file from the user; create a tab and load the file into it (i.e. into the TextView that will be ...
0
votes
0answers
35 views

Launch a new window from Gtk+3 app

I want to create an Ubuntu app using Python and Gtk+3. I want to get the contents of the file displayed in the main window and load it into a separate window (load it into another TextView for ...
0
votes
0answers
81 views

Install module BZ2 on python

I'm trying to install the module bz2 on python v2.7. I'm using Ubuntu 12.04 LTS and I have already installed libbz2-dev through Synaptic. I read that I need to rebuild python to take the changes of ...